Skip to content

Delete subaccount

DELETE
/v1/account/subaccount

Deletes an existing subaccount. Can only be called by a primary account API key with Trade permissions. Please note the subaccount can only be deleted once all balances are transferred out.

Note: Returns 204 even if deletion cannot complete due to residual balance, margin, or futures. Verify deletion via GET /v1/account/subaccounts.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"id": "1068214337466658816"
}

Responses

Subaccount deleted successfully

Playground

Authorization
Body

Samples